Bug 36620 - Disable ldapsearch in updater for basesyststem
Disable ldapsearch in updater for basesyststem
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - univention-updater
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Felix Botner
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-12 20:56 CET by Tim Petersen
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Petersen univentionstaff 2014-11-12 20:56:00 CET
bach:~# univention-upgrade --updateto=4.0-0 --ignoressh --ignoreterm --noninteractive

Starting univention-upgrade. Current UCS version is 3.2-4 errata241

Checking for local repository:                          none
Checking for release updates:                           found: UCS 4.0-0

Starting update to UCS version 4.0-0

HINT:
Please check the release notes carefully BEFORE updating to UCS 4.0-0:
 English version: http://docs.univention.de/release-notes-4.0-0-en.html
 German version:  http://docs.univention.de/release-notes-4.0-0-de.html

Please also consider documents of following release updates and
3rd party components.

Update will wait here for 60 seconds...
Press CTRL-c to abort or press ENTER to continue


ldap_start_tls: Can't contact LDAP server (-1)
ldap_start_tls: Can't contact LDAP server (-1)
ldap_start_tls: Can't contact LDAP server (-1)
^CTraceback (most recent call last):
  File "/usr/sbin/univention-upgrade", line 399, in <module>
    main()
  File "/usr/sbin/univention-upgrade", line 353, in main
    performUpdate(options.updateto, ignoressh=options.ignoressh, ignoreterm=options.ignoreterm, interactive=not options.noninteractive, silent=False)
  File "/usr/sbin/univention-upgrade", line 200, in performUpdate
    retcode = subprocess.call(['/usr/share/univention-updater/univention-updater',  'net', '--updateto' , '%s' % (version_next)] + params , shell=False, env=os.environ)
  File "/usr/lib/python2.6/subprocess.py", line 470, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/lib/python2.6/subprocess.py", line 1182, in wait
    pid, sts = _eintr_retry_call(os.waitpid, self.pid, 0)
  File "/usr/lib/python2.6/subprocess.py", line 455, in _eintr_retry_call
    return func(*args)
KeyboardInterrupt
Comment 1 Stefan Gohmann univentionstaff 2014-11-13 07:08:43 CET
Fixed with r55727

I still see some warnings like 'Error importing apt_pkg, is python-apt installed?'. But these messages are not critical.
Comment 2 Stefan Gohmann univentionstaff 2014-11-13 07:15:09 CET
(In reply to Stefan Gohmann from comment #1)
> I still see some warnings like 'Error importing apt_pkg, is python-apt
> installed?'. But these messages are not critical.

Fixed with r55731 because it was shown on the console not only in the log files.
Comment 3 Felix Botner univentionstaff 2014-11-14 12:48:21 CET
OK
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:54:27 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".